about summary refs log tree commit diff
path: root/test/g3-roundtrip.test
diff options
context:
space:
mode:
Diffstat (limited to 'test/g3-roundtrip.test')
-rwxr-xr-xtest/g3-roundtrip.test16
1 files changed, 16 insertions, 0 deletions
diff --git a/test/g3-roundtrip.test b/test/g3-roundtrip.test
new file mode 100755
index 00000000..47e20e1d
--- /dev/null
+++ b/test/g3-roundtrip.test
@@ -0,0 +1,16 @@
+#! /bin/bash
+# This script tests: g3topbm pbmtog3
+# Also requires: pnmcrop
+
+
+pbmtog3 -nofixedwidth testgrid.pbm | \
+g3topbm -width=14 | cmp -s - testgrid.pbm
+echo $?
+
+pbmtog3 -nofixedwidth -reversebits testgrid.pbm | \
+g3topbm -width=14 -reversebits | cmp -s - testgrid.pbm
+echo $?
+
+pbmtog3 testgrid.pbm | \
+g3topbm  | pnmcrop -white -right -bottom | \
+ cmp -s - testgrid.pbm ; echo $?